Orxonox: orxonox::EventDispatcher Class Reference

# orxonox::EventDispatcher Class Reference

`#include <src/orxonox/objects/EventDispatcher.h>`

Inheritance diagram for orxonox::EventDispatcher:

List of all members.

## Public Member Functions

void | addTarget (EventTarget *target)
| EventDispatcher (BaseObject *creator)
EventTarget * | getTarget (unsigned int index) const
virtual void | processEvent (Event &event)
virtual void | XMLPort (Element &xmlelement, XMLPort::Mode mode)
| XML loading and saving.
virtual | ~EventDispatcher ()

## Private Attributes

std::list< EventTarget * > | targets_

## Constructor & Destructor Documentation

orxonox::EventDispatcher::EventDispatcher | ( | BaseObject * | creator | ) |

References RegisterObject.

orxonox::EventDispatcher::~EventDispatcher | ( |  | ) | `[virtual]`

References orxonox::BaseObject::isInitialized(), and targets_.

## Member Function Documentation

void orxonox::EventDispatcher::addTarget | ( | EventTarget * | target | ) |

References targets_.

Referenced by XMLPort().

EventTarget * orxonox::EventDispatcher::getTarget | ( | unsigned int | index | ) | const

References targets_.

Referenced by XMLPort().

void orxonox::EventDispatcher::processEvent | ( | Event & | event | ) | `[virtual]`

Reimplemented from orxonox::BaseObject.

References targets_.

void orxonox::EventDispatcher::XMLPort | ( | Element & | xmlelement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

XML loading and saving.

Parameters:

  | xmlelement | The XML-element
  | loading | Loading (true) or saving (false)

Returns:
  The XML-element

Reimplemented from orxonox::BaseObject.

References addTarget(), getTarget(), SUPER, and XMLPortObject.

## Member Data Documentation

std::list<EventTarget*> orxonox::EventDispatcher::targets_`[private]`

Referenced by addTarget(), getTarget(), processEvent(), and ~EventDispatcher().

The documentation for this class was generated from the following files:

- src/orxonox/objects/EventDispatcher.h
- src/orxonox/objects/EventDispatcher.cc